<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('temporary_employees', function (Blueprint $table) {
            $table->id();
            $table->string('full_name');
            $table->string('father_name');
            $table->string('national_card_number')->unique();
            $table->text('address');
            $table->string('contact_number');
            $table->boolean('is_active')->default(true);
            $table->string('image_path')->nullable();
            $table->string('health_card_path')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('temporary_employees');
    }
};
